###

#

locator_type< T, L, IsPlanar, IsStepX, IsMutable > Struct Template Reference
Metafunctions » Type Factory Metafunctions » xxx_type

Returns the type of a homogeneous locator given the channel type, layout, whether it operates on planar data and whether it has a step horizontally. More...

`#include <metafunctions.hpp>`

## Public Types

using | type = typename type_from_x_iterator< typename iterator_type< T, L, IsPlanar, IsStepX, IsMutable >::type >::xy_locator_type

## Detailed Description

template<typename T, typename L, bool IsPlanar = false, bool IsStepX = false, bool IsMutable = true>
struct boost::gil::locator_type< T, L, IsPlanar, IsStepX, IsMutable >

Returns the type of a homogeneous locator given the channel type, layout, whether it operates on planar data and whether it has a step horizontally.

The documentation for this struct was generated from the following file:

- metafunctions.hpp